install.packages("igraph")

## Load package
library(igraph)

pruned_FLN_matrix = as.matrix(read.table("pruned_FLN-(0.1-1.0].txt",header = F,sep = "\t"))

el <- data.frame(from = pruned_FLN_matrix[,1],
                 to = pruned_FLN_matrix[,2],
                 weight = pruned_FLN_matrix[,3])

FLN = graph.data.frame(el, directed = FALSE)%>%
  set_edge_attr("weight", value =  pruned_FLN_matrix[,3]) %>%
  set_edge_attr("color", value = "blue")



#To run multiple drug file using loop, use "list.files" and for loop given below in a command line
#setwd("C:/Users/../../../../")
#list.filenames<-list.files(pattern=".txt")


vect = c(pruned_FLN_matrix[,1],pruned_FLN_matrix[,2])



#for (j in 1:length(list.filenames)) {
 # print(j)
 # setwd("C:/Users/kullanici/Desktop/DR review makale/Melonom/1")
  
  drugs_data = read.table("sample_drug_file.txt",header = T,sep = "\t")
  nds = drugs_data[,1]
  
  Neighbors0 = ego(FLN, order = 0, nodes = as.character( unlist(intersect(vect,nds))), mode = c("all", "out", "in"))
  A0 = induced_subgraph(FLN,  unlist(Neighbors0))
  C0 = as_edgelist(A0, names = TRUE)
 # setwd("C:/Users/...")
  write.table(C0,"sample_drug_file_network.txt",sep = "\t",row.names = F,col.names = F)

  
  
#}



